---
title: 'Divisibility Rules'
date: 2020-09-15
tags:
  - Tech
  - Python
coverImage: /images/divisbility-rules.jpg
description: >-
  Fun Python side project inspired by VSauce.
---

VSauce has a number of channels including [D1NG](https://www.youtube.com/channel/UClq42foiSgl7sSpLupnugGA) where they post fun educational content of all kinds. Recently I found myself itching to code and inspired by [some handy division math tricks](https://www.youtube.com/watch?v=f6tHqOmIj1E).

So I threw together this [Python script with methods showcasing each divisibility rule example](https://gitlab.com/gaiety/divisibilityrules). The script has no direct practical purpose as each function could be done more simply for a computer to handle (likely just with `%` modulo for all cases). But I thought this would be fun enough to share!

In building out this project I learned how to write some [tests in python](https://gitlab.com/gaiety/divisibilityrules/-/tree/main/tests) and how to set up [GitLab CI](https://gitlab.com/gaiety/divisibilityrules/-/blob/main/.gitlab-ci.yml), which GitLab makes very easy with their WebIDE.

![GitLab WebIDE with Templates and file autonaming](/images/gitlab-webide.png)

Always learning~
