---
title: 'Dotfiles 2021 - Ghost Comet'
date: 2021-04-12
tags:
  - Tech
  - Devtools
coverImage: /images/ghost-comet.png
description: Fish, Tmux, Kitty and NeoVim with some modern plugins. Available for Linux and OSX.
---

[**Ghost Comet**](https://gitlab.com/gaiety/dotfiles), the sequel to [_Space Octopus_](https://gitlab.com/gaiety/dotfiles/-/tree/2019) and [_Void Dragon_](https://gitlab.com/gaiety/dotfiles/-/tree/2017) has been dropped over on my [GitLab](https://gitlab.com/gaiety).

It features a Fish shell, Tmux auto-loading that pairs well with NeoVim, and the Kitty terminal emulator. This combines together to offer cool features like font ligatures, superb fuzzy finding with some of the latest NeoVim LUA support, with Linux and OSX support with similar UI.

Follow the README's in the directories to get started. This assumes some level of knowledge around the terminal, tmux and linux. For assistance though I've included some help accessible within `neovim` by pressing `<Leader>?` (where the `<Leader>` key is the Spacebar). Enjoy!
