---
title: 'Ember-Select-Light 2.0 Released'
date: 2020-10-28
tags:
  - Tech
  - A11y
  - Ember
coverImage: /images/ember-select-light-tailwind-animated.gif
description: >-
  Ember-Select-Light is an Ember Addon focused on simplicity. Just powerful enough to offer expected baseline functionality while being easy to implement, style, and make accessible.
---

Inspired by [ember-component-pattern's for how to best write a Select Element](https://emberjs-1.gitbook.io/ember-component-patterns/form-components/select-element), [ember-select-light](https://github.com/ember-a11y/ember-select-light) is now [Octane Ready](https://emberjs.com/editions/octane/) with the latest release!

Getting started is as easy as...

```bash
ember install ember-select-light
```

```handlebars
<SelectLight
  @value="turtle"
  @options={{array "turtle" "tortoise"}}
  @change={{action "handleChange"}} />
```

See the [full docs here](https://github.com/ember-a11y/ember-select-light) for further details of how it can be used and styled.

Additionally, I'm happy to announce the addon has been moved to the [official Ember A11y GitHub Org](https://github.com/ember-a11y)!
