---
title: 'Delving Into Game Development: Forest Sprites Preview'
date: 2020-06-10
tags:
  - Unity
  - Games
coverImage: /images/forest-sprites-preview.png
description: >-
  Back in the day I was very into Flash, now Unity is a new hobby of mine. Check out this preview for my upcoming first game: Forest Sprites.
---

In the early 2000's I would spent a perhaps unhealthy amount of time in Flash creating animations, games and learning graphic design skills that I now rely on today. Now, for the past month I've dabbled in creating my first full game in Unity that I'd like to announce here called Forest Sprites.

Forest Sprites is a game where you control one, of many, sprites of the forest - or, essentially, balls of Earth energy that is called upon to come together for a purpose. I'm still working on the exact story and end goal, but this will be a short and sweet adventure game with a focus on exploring a beautiful environment to some beautiful music being created custom for the game by alp of [datafruits](https://datafruits.fm/). It'll be a side scroller with plenty of particles and other fun visuals.

![Main Menu Intro Animations](/images/forest-sprites-preview-menu.gif)

I hope to finish the game in a little over a month's time. Stay tuned!

