---
title: Crafting Better Multimedia for the Invisible People All Around Us
description: For a more universally accessible web, educators are adjusting how they teach software engineering, user experience design, content writing, and multimedia production.
coverImage: /images/multimedia_for_invisible.webp
date: 2023-03-11
tags:
  - College
  - Writing
  - A11y
---
Posted originally on [Medium: Crafting Better Multimedia for the Invisible People All Around Us](https://medium.com/@hergaiety/crafting-better-multimedia-for-the-invisible-people-all-around-us-952f22070e6b)

> All of us deserve a more equitable web: professionals, creating better multimedia on a more technologically advanced web; educators, with the passion to teach accessibility early, broadly, and with support; students, with the knowledge and tools that will continue to develop from generation to generation.

I've done more [writing on Social Media for Public Good on my school blog here](https://gaiety.college/category/icm-500). You may also follow the rest of my journey back to university as I pursue my masters at Quinnipiac @ [gaiety.college](https://gaiety.college/).